﻿@using WebSiteASP.Models.Product
@model ProductVM

@{
    ViewBag.Title = "Home Page";
}

<section class="card">
    <article class="card-body">

        <div class="w-100">
                    
            @using (Html.BeginForm("Index", "Home", FormMethod.Get))
            {
                @Html.TextBox("search", null, new { @class = "d-inline w-80", @placeholder = "Search" })
                        
                <button type="submit" class="btn btn-secondary btn-10 d-inline d-right w-10">
                    <i class="material-icons">search</i>
                </button>
            }

        </div>

        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Code</th>
                    <th>Libelle</th>
                    <th>Prix</th>
                    <th>Stock</th>
                    <th>
                        <a href="@Url.Action("Add", "Detail")" class="btn btn-success btn-10">
                            <i class="material-icons">add</i>
                        </a>
                    </th>
                </tr>
            </thead>
            <tbody>
                @if (Model.List.Count() == 0)
                {
                    <tr>
                        <td colspan="5" style="color: darkred">
                            No Entries Match
                        </td>
                    </tr>
                }
                else
                {
                    foreach (var product in Model.List)
                    {
                        <tr>
                            <td>@product.Code</td>
                            <td>@product.Label</td>
                            <td>@product.Price</td>
                            <td>@product.Stock</td>
                            <td>
                                <a href="@Url.Action("Product", "Detail", new { id = product.Id })" class="btn btn-primary btn-10">
                                    <i class="material-icons">edit</i>
                                </a>
                                <a href="@Url.Action("Delete", "Detail", new { id = product.Id })" class="btn btn-danger btn-10">
                                    <i class="material-icons">delete</i>
                                </a>
                            </td>
                        </tr>
                    }
                }

            </tbody>
        </table>

    </article>
</section>
